> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trajectory.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Items



## OpenAPI

````yaml /openapi.json get /api/v1/benchmark-ingestion/operations/{operation_id}/{kind}
openapi: 3.1.0
info:
  title: Trajectory API
  version: 0.1.0
servers:
  - url: https://api.trajectory.ai
security: []
paths:
  /api/v1/benchmark-ingestion/operations/{operation_id}/{kind}:
    get:
      tags:
        - benchmark-ingestion
      summary: Items
      operationId: listBenchmarkSubmissionItems
      parameters:
        - name: operation_id
          in: path
          required: true
          schema:
            type: string
            title: Operation Id
        - name: kind
          in: path
          required: true
          schema:
            enum:
              - result
              - failure
              - runtime
              - runtime_task
            type: string
            title: Kind
        - name: after
          in: query
          required: false
          schema:
            type: string
            maxLength: 1024
            default: ''
            title: After
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BenchmarkIngestionOperationPage'
        default:
          $ref: '#/components/responses/ApiErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    BenchmarkIngestionOperationPage:
      properties:
        items:
          items:
            anyOf:
              - $ref: '#/components/schemas/BenchmarkIngestionTaskResult'
              - $ref: '#/components/schemas/BenchmarkIngestionRuntimeResult'
              - $ref: '#/components/schemas/BenchmarkIngestionFailure'
          type: array
          title: Items
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - items
        - next_cursor
      title: BenchmarkIngestionOperationPage
    BenchmarkIngestionTaskResult:
      properties:
        task_id:
          type: string
          title: Task Id
        name:
          type: string
          title: Name
        runtime_id:
          type: string
          title: Runtime Id
        action:
          type: string
          enum:
            - added
            - updated
            - skipped
          title: Action
      type: object
      required:
        - task_id
        - name
        - runtime_id
        - action
      title: BenchmarkIngestionTaskResult
    BenchmarkIngestionRuntimeResult:
      properties:
        runtime_id:
          type: string
          title: Runtime Id
        status:
          type: string
          enum:
            - pending
            - building
            - ready
            - failed
          title: Status
        provider_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider Ref
      type: object
      required:
        - runtime_id
        - status
      title: BenchmarkIngestionRuntimeResult
    BenchmarkIngestionFailure:
      properties:
        stage:
          type: string
          enum:
            - verifying
            - registering
            - building
          title: Stage
        resource_type:
          type: string
          enum:
            - submission
            - upload
            - task
            - runtime
          title: Resource Type
        resource_id:
          type: string
          title: Resource Id
        code:
          type: string
          title: Code
        message:
          type: string
          title: Message
        retryable:
          type: boolean
          title: Retryable
        affected_tasks_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Affected Tasks Cursor
      type: object
      required:
        - stage
        - resource_type
        - resource_id
        - code
        - message
        - retryable
      title: BenchmarkIngestionFailure
    ApiErrorEnvelope:
      properties:
        error:
          $ref: '#/components/schemas/ApiErrorBody'
      required:
        - error
      title: ApiErrorEnvelope
      type: object
    ApiErrorBody:
      properties:
        type:
          $ref: '#/components/schemas/ErrorType'
        code:
          type: string
          title: Code
        message:
          type: string
          title: Message
        param:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Param
        doc_url:
          type: string
          title: Doc Url
        context:
          additionalProperties: true
          title: Context
          type: object
      required:
        - type
        - code
        - message
        - doc_url
        - context
      title: ApiErrorBody
      type: object
    ErrorType:
      enum:
        - invalid_request_error
        - authentication_error
        - permission_error
        - conflict_error
        - rate_limit_error
        - dependency_error
        - api_error
      title: ErrorType
      type: string
  responses:
    ApiErrorResponse:
      description: >-
        Common API error. Possible codes: `authentication_required`,
        `permission_denied`, `validation_error`, `rate_limited`,
        `internal_error`, `service_unavailable`.
      headers:
        X-Request-ID:
          $ref: '#/components/headers/RequestId'
        Trajectory-Should-Retry:
          $ref: '#/components/headers/TrajectoryShouldRetry'
        Retry-After:
          $ref: '#/components/headers/RetryAfter'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorEnvelope'
  headers:
    RequestId:
      schema:
        type: string
    TrajectoryShouldRetry:
      schema:
        type: boolean
    RetryAfter:
      schema:
        type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Organization API key

````